package com.bzd.system.service.hygl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 人群运营计划看板 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SHyglHyxxJzyxMarketingplaninfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSHyglHyxxJzyxMarketingplaninfo(PageData pd)throws Exception {
        return daoSupport.update("SHyglHyxxJzyxMarketingplaninfoMapper.addSHyglHyxxJzyxMarketingplaninfo", pd);
    }

    public List<PageData> findSHyglHyxxJzyxMarketingplaninfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SHyglHyxxJzyxMarketingplaninfoMapper.selectSHyglHyxxJzyxMarketingplaninfoList", pd);
    }

    public Integer SHyglHyxxJzyxMarketingplaninfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SHyglHyxxJzyxMarketingplaninfoMapper.SHyglHyxxJzyxMarketingplaninfoRemove", pd);
    }


    public Integer updateSHyglHyxxJzyxMarketingplaninfo(PageData pd)throws Exception {
        return daoSupport.update("SHyglHyxxJzyxMarketingplaninfoMapper.updateSHyglHyxxJzyxMarketingplaninfo", pd);
    }

}
